Package org.jboss.logging.processor.util

# Class Objects.ToStringBuilder

java.lang.Object
org.jboss.logging.processor.util.Objects.ToStringBuilder

Enclosing class:
  Objects

public static class Objects.ToStringBuilder extends Object
A builder to build a default `Object#toString()` value.

Not thread safe.

## Method Summary

Modifier and Type
Method
Description
`Objects.ToStringBuilder`
`add(Object value)`
`Objects.ToStringBuilder`
`add(String field, Object value)`
Adds the field and value to the value returned.
`static Objects.ToStringBuilder`
`of(Class<?> clazz)`
Creates a new string builder for the `clazz`.
`static Objects.ToStringBuilder`
`of(Object self)`
Creates a new string builder for the `self`.
`static Objects.ToStringBuilder`
`of(String className)`
Creates a new string builder for the `className`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### of

public static Objects.ToStringBuilder of(Class<?> clazz)
Creates a new string builder for the `clazz`.

Parameters:
  `clazz` - the base class for the string result.
Returns:
  the current builder.

### of

public static Objects.ToStringBuilder of(String className)
Creates a new string builder for the `className`.

Parameters:
  `className` - the class name to prepend the string value with.
Returns:
  the current builder.

### of

public static Objects.ToStringBuilder of(Object self)
Creates a new string builder for the `self`.

Parameters:
  `self` - the object to create the builder for.
Returns:
  the current builder.

### add

public Objects.ToStringBuilder add(Object value)

### add

public Objects.ToStringBuilder add(String field, Object value)
Adds the field and value to the value returned.

Parameters:
  `field` - the field for the value.
  `value` - the value of the field.
Returns:
  the current instance of the builder.

### toString

public String toString()

Overrides:
  `toString` in class `Object`